#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.4.0.0
visibility:           public
id:                   lsp-1.4.0.0-J8Px5chSN0BKtsbgasEbMe
key:                  lsp-1.4.0.0-J8Px5chSN0BKtsbgasEbMe
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  15cf38bb70193b36a5265a2263dc03e7
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.4.0.1-wo7rARcxXTI1Hd0lwb0ne:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-wo7rARcxXTI1Hd0lwb0ne:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.4.0.1-wo7rARcxXTI1Hd0lwb0ne:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.4.0.1-wo7rARcxXTI1Hd0lwb0ne:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp1.4
hs-libraries:         HSlsp-1.4.0.0-J8Px5chSN0BKtsbgasEbMe
depends:
    aeson-2.1.2.1-DTIp7ffJsC9lgN2UYC5np
    async-2.2.5-ISASXWQBo5t2kHzwBCdXKD
    attoparsec-0.14.4-EMhx65X4PEhKEPT12wcqai base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-HcuW2hRxvD847K0VTSuNyE exceptions-0.10.4
    hashable-1.4.4.0-1shJtFAyUDm6YNVMIOxWfw
    hslogger-1.3.1.1-CLN6MHNr3yRGuu3FdskKuI
    lens-5.2.3-2JZ3XKI9X344dVlwCAi4Go
    lsp-types-1.4.0.1-wo7rARcxXTI1Hd0lwb0ne mtl-2.2.2
    network-uri-2.6.4.2-46PXp6izMw57Qe5b886kuX
    random-1.2.1.2-9cGKz2N6Xs0EPg4VyoTasz
    scientific-0.3.7.0-KS5akJKkWMM4W1E8A9MCH7
    sorted-list-0.2.2.0-MjsxD74ZoKBLkjibB24v1 stm-2.5.0.2 text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-Fh9bn7OEhnqCMuFBZWj2ah
    uuid-1.3.15-6cAQWrluJFhLi2LWnwEdPh

haddock-interfaces:   /usr/share/doc/haskell-lsp1.4/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp1.4/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

